#include <iostream>
#include <fstream>
#include <string>

#include <openbabel/mol.h>
#include <openbabel/obconversion.h>
#include <openbabel/parsmart.h>  // SMARTSを利用する場合はこれをincludeする
#include <openbabel/mcdlutil.h>

using namespace std;
using namespace OpenBabel;

int main(int argc, char* argv[]) {
  OBConversion conv;
  conv.SetInAndOutFormats("SMI", "SDF");

  OBMol mol;
  conv.ReadString(&mol, "COc1cc2ncnc(c2cc1OCCCN1CCOCC1)Nc1ccc(c(c1)Cl)F");
  generateDiagram(&mol);
  mol.SetDimension(2);

  OBSmartsPattern smp;   // パターンマッチするためのクラスを宣言する
  smp.Init("c1ccccc1");  // SMARTSパターンの翻訳
  smp.Match(mol);        // パターンマッチの実行
  vector<vector<int> > mlist = smp.GetUMapList();  // 実行結果の取得

  for (int i = 0; i < mlist.size(); i++) {
    cout << "match" << i + 1 << ":";
    for (int j = 0; j < mlist[i].size(); j++) {
      cout << " " << mlist[i][j];
    }
    cout << endl;
  }
}
